#
# spec file for package python-pytest-click
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pytest-click
Version:        1.1.0
Release:        2.3
Summary:        Pytest plugin for Click
License:        MIT
URL:            https://github.com/Stranger6667/pytest-click
Source:         https://github.com/Stranger6667/pytest-click/archive/v%{version}.tar.gz#/pytest-click-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-click >= 6.0
Requires:       python-pytest >= 3.6.0
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module click >= 6.0}
BuildRequires:  %{python_module pytest >= 5.0}
# /SECTION
%python_subpackages

%description
Py.test plugin for Click.

%prep
%setup -q -n pytest-click-%{version}
sed -i "s/'pytest-cov>=[0-9.]*'//;s/==/>=/g" setup.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LANG=C.UTF-8
%pytest

%files %{python_files}
%doc CHANGELOG.md README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Feb  9 2024 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Wed Mar 16 2022 Steve Kowalik <steven.kowalik@suse.com>
- Update to 1.1.0:
  * Added build for Python 3.10
  * Drop support of Python 3.5 & 3.6
- Drop mock from BuildRequires, it has always fallen back to stdlib.
* Wed Oct  7 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 1.0.2
  * Replace yield_fixture with fixture
  * Drop Python 3.4 support
  * Drop Python 2.7 support
  * Add builds for Python 3.8, 3.9
  * Include test to package
- Actually download source tarball
* Fri May 31 2019 Tomáš Chvátal <tchvatal@suse.com>
- Fix build on Leap
* Thu Mar 21 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.3
